<template>
  <div class="prk-order__container prk-order--step-second prk-order__container--shadow">
    <popupEror 
         v-if="responsEror && clousPopup" 
         :eror="responsEror"
         v-on:clous-popup="clousPopup = false;noScroll();"
    />
      <h2 class="prk-order__title">SÉLECTIONNEZ VOTRE DATE DE LIVRAISON</h2>
      <ProgressForm
        :currentItem="0"
      />
      <div class="row">
        <div class="col-md-6 pr-md-0">
          <vueCallendar
           v-on:setdate="formDataObj.date = $event"
           />
        </div>
        <div class="col-md-6 prk-order__service">
          <div class="prk-order__service-inner">
            <div class="prk-order__delivery">
                Livraison de  
                <span class="prk-order__from">
                  {{dataFormFirst.postFormOne.startAddress.nameAdress}}
                </span>
                 à
                <span class="prk-order__to">
                {{dataFormFirst.postFormOne.finishAddress.nameAdress}}
                </span>
            </div>
            <div class="prk-order__distance text-uppercase">
                {{dataFormFirst.responsData.distance}}
            </div>
            <ul class="prk-order__list-service">
              <li class="prk-order__item-service">Driver professionnel</li>
              <li class="prk-order__item-service">Carburant et péages inclus</li>
              <li class="prk-order__item-service">Véhicule assuré jusqu’à 80 000€ de dégâts</li>
              <li class="prk-order__item-service" v-for="val in dataFormFirst.postFormOne.optionCar" v-bind:key="val">{{val== 'Lavage'?'Lavage extérieur du véhicule':'Mise en main véhicule neuf'}}</li>
              <li class="prk-order__item-service" v-if="dataFormFirst.postFormOne.restoringCar">Prévoir un véhicule de reprise</li>
            </ul>
            <div class="prk-order__price">
              <span class="prk-order__price-value">
                <span>{{dataFormFirst.responsData.price}}</span>
              </span>
              <span class="prk-order__price-description">
                TVA incluse
              </span>
            </div>
          </div>
        </div>
      </div>
     <div class="prk-order__action">
        <button class="prk-order__button prk-order__button--next"
        @click="postData();$emit('dataFormTwo', formDataObj);"
        :disabled="loadRespons || inValidData"
        :class="{'prk-order__loader':loadRespons, 'invalid-btn-date':inValidData}"
        >CONTINUER</button>
        <button class="prk-order__button prk-order__button--no-bg prk-order__button--prev" @click="$emit('prev-step')">
          REVENIR
        </button>
      </div>
  </div>  
</template>

<script>
import vueCallendar from './vueCallendar.vue'
import ProgressForm from './ProgressForm.vue'
import popupEror from './popupEror.vue'

import axios from 'axios'
export default {
  name: 'FormStepTwo',
  components: {
    vueCallendar,
    ProgressForm,
    popupEror
  },
   props: {
    dataFormFirst: Object,
  },
  data() {
    return {
      defoltText: false,
      loadRespons: null,
      responsEror: false,
      clousPopup: false,
      formDataObj:{
        'step': 2,
        'date': ''
      },
    }
  },
  methods: {
    postData(){
      if(!this.inValidData){
        this.loadRespons = true; 
          axios({
            method: 'post',
            url: '/wp-admin/admin-ajax.php',
            timeout: 60000, 
            params: {
               action: 'step_2',
            },
            data: {
              body: JSON.stringify(this.formDataObj),
            }
            })
           .then(response=>{
                if(response.data.error){
                   this.responsEror = response.data.error;
                   this.clousPopup = true;
                }else{
                   this.responsEror = false;
                } 
            })
            .catch(()=>{
                  this.responsEror = "Une erreur s'est produite, n'hésitez pas à contacter l'équipe Sales à contact@parkopoly.fr";
                  this.clousPopup = true;
            })
            .finally(()=>{
               this.loadRespons = false;
            }); 
        return true; 
      }else{
        return false;
      }
    },
    noScroll(){
       document.body.classList.remove('scroll-none');
    }
  },
  computed: {
    inValidData(){
      if(this.formDataObj.date == ''){
        return true
      }
      return null
    }
  },
  watch: {
     loadRespons(){
        return(!this.loadRespons &&  !this.responsEror? this.$emit('next-step'):null);
     }
  },
}
</script>

<style lang="stylus">
.prk-order
  &__container--shadow
    box-shadow none
    border-radius 7px
    padding 40px 0 50px
  &__service
    &-inner 
      padding 20px 15px
      border 1px solid #707070
      border-radius 2px
  &__delivery 
    text-align center
    padding-bottom 15px
    & span
      font-weight 700
  &__distance
    color #AF0037
    text-align center
    font-size 20px
    font-weight 700
    line-height 28px
    padding-bottom 10px
  &__list-service
    padding 0
    list-style none
  &__item-service
    background url(/wp-content/mu-plugins/online-order/assets/img/noun_Check.svg)0 50% no-repeat
    padding 15px 0 20px 40px
    font-size 14px
  &__price 
    color #AF0037
    text-align center
    font-weight 700
    &-value
      font-size 30px
    &-description
      display block
      font-size 12px
& .invalid-btn-date 
  position relative
  &:before
    position absolute
    content "Choisir une date S'il vous plaît"
    width 200px
    left 40px
    top -20px
    font-size 12px
    background #666
    padding 2px 3px
    display none
  &:hover:before
    display block
    animation fadein .3s
@media (min-width: 992px)
  .prk-order
    &__container--shadow
      padding 50px 140px 40px
    &__service
      &-inner 
        padding 20px 30px
    &__item-service
      font-size 16px
@media (min-width: 768px)
  .prk-order
    &__container--shadow
      padding 50px 40px 40px
      box-shadow 0 3px 6px #ddd

</style>

